<?php
// Incluir el archivo autoload si estás usando Composer
require_once __DIR__ . '/vendor/autoload.php'; // Si usas Composer

// Si no usas Composer, puedes incluir manualmente el archivo de TCPDF
// require_once('tcpdf/tcpdf.php');

// Crear una instancia de la clase TCPDF
$pdf = new TCPDF();

// Establecer metadatos del documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Tu Nombre');
$pdf->SetTitle('Generando un PDF con TCPDF');

// Establecer márgenes
$pdf->SetMargins(15, 15, 15); // Izquierda, superior, derecha

// Agregar una página
$pdf->AddPage();

// Establecer el contenido HTML
$html = '
<h1>Hola, Mundo!</h1>
<p>Este es un ejemplo básico de cómo generar un archivo PDF con TCPDF.</p>
<p>TCPDF te permite generar PDFs a partir de HTML.</p>
';
$archivo=file_get_contents('pagina_generada.html');

// Escribir el contenido HTML en el PDF
$pdf->writeHTML($archivo, true, false, true, false, '');

// Cerrar y generar el archivo PDF
$pdf->Output('archivo_generado.pdf', 'I');  // El 'I' indica que se mostrará en el navegador
