<?php
// Datos dinámicos que queremos reemplazar en la plantilla
require_once __DIR__ . '/vendor/autoload.php'; // Si usas Composer
$datos = [
    'titulo' => 'Página de Usuario',
    'nombre' => 'Juan Pérez',
    'edad' => 30,
    'ciudad' => 'Madrid'
];

// Leer el archivo de plantilla
$plantilla = file_get_contents('plantilla.html');

// Reemplazar los placeholders con los valores de $datos
foreach ($datos as $clave => $valor) {
    $plantilla = str_replace('{' . $clave . '}', $valor, $plantilla);
}

// Nombre del archivo a generar
$nombreArchivo = 'pagina_generada.html';

// Abrir el archivo para escritura
$archivo = fopen($nombreArchivo, 'w');

// Escribir el contenido de la plantilla modificada en el archivo
if ($archivo) {
    fwrite($archivo, $plantilla);
    fclose($archivo); // Cerrar el archivo
    //echo "El archivo HTML ha sido generado exitosamente.";
} else {
    //echo "Error al crear el archivo.";
}
#####################

// Si no usas Composer, puedes incluir manualmente el archivo de TCPDF
// require_once('tcpdf/tcpdf.php');

// Crear una instancia de la clase TCPDF
$pdf = new TCPDF();

// Establecer metadatos del documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Tu Nombre');
$pdf->SetTitle('Generando un PDF con TCPDF');

// Establecer márgenes
$pdf->SetMargins(15, 15, 15); // Izquierda, superior, derecha

// Agregar una página
$pdf->AddPage();

// Establecer el contenido HTML

$archivo=file_get_contents('pagina_generada.html');

// Escribir el contenido HTML en el PDF
$pdf->writeHTML($archivo, true, false, true, false, '');

// Cerrar y generar el archivo PDF
$pdf->Output('archivo_generado.pdf', 'F');  // El 'I' indica que se mostrará en el navegador

?>